
%global with_tests   %{?_with_tests:1}%{!?_with_tests:0}

Name:           mysql-connector-python
Version:        8.0.21
Release:    1%{?dist}
Summary:        MySQL Connector for Python 3

License:        GPLv2 with exceptions
URL:            http://dev.mysql.com/doc/connector-python/en/index.html
Source0:        %{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel >= 3
BuildRequires:  python3-setuptools
%if %{with_tests}
BuildRequires:  mysql-server
%endif


%global _description\
MySQL Connector/Python is implementing the MySQL Client/Server protocol\
completely in Python. No MySQL libraries are needed, and no compilation\
is necessary to run this Python DB API v2.0 compliant driver.\
\
Documentation: http://dev.mysql.com/doc/connector-python/en/index.html\


%description %_description

%package -n mysql-connector-python3
Summary: MySQL Connector for Python 3

%description -n mysql-connector-python3
MySQL Connector/Python is implementing the MySQL Client/Server protocol
completely in Python. No MySQL libraries are needed, and no compilation
is necessary to run this Python DB API v2.0 compliant driver.

Documentation: http://dev.mysql.com/doc/connector-python/en/index.html


%prep
%setup -q -n %{name}-%{version}
chmod -x examples/*py

%build


%install
%{__python3} setup.py install --root %{buildroot}



%check
%if %{with_tests}

%{__python3} unittests.py \
    --with-mysql=%{_prefix} \
    --verbosity=1
%else
: echo test suite disabled, need '--with tests' option
%endif


%files -n mysql-connector-python3
%doc CHANGES.txt README* docs
%doc examples
%license LICENSE.txt
%{python3_sitelib}/*


%changelog
* Mon Jul 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.0.21-1
- initial build
